<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <SurfaceView
        android:id="@+id/sv_video"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        tools:layout_editor_absoluteX="0dp"
        tools:layout_editor_absoluteY="-16dp" />

    <ImageView
        android:id="@+id/iv_logo"
        android:visibility="gone"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="20dp"
        android:layout_marginTop="20dp"
        android:src="@drawable/logo"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />
    <LinearLayout
        android:visibility="gone"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintTop_toBottomOf="@id/iv_logo">
        <EditText
            android:id="@+id/testp"
            android:layout_width="0dp"
            android:textColor="@color/white"
            android:layout_height="@dimen/dp_30"
            android:layout_weight="1"></EditText>
        <Button
            android:id="@+id/testsend"
            android:layout_width="@dimen/dp_70"
            android:layout_height="@dimen/dp_50"></Button>
    </LinearLayout>

    <com.quyunshuo.module.home.weight.ProgressView
        android:id="@+id/progressView"
        android:layout_width="match_parent"
        android:layout_marginStart="@dimen/dp_80"

        android:layout_height="140dp"
        android:layout_alignParentBottom="true"
        android:layout_centerInParent="true"
        app:layout_constraintStart_toStartOf="@+id/home_guideline"
        app:layout_constraintEnd_toStartOf="@+id/home_guideline"
        app:layout_constraintTop_toTopOf="@+id/home_guideline3" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_home_time"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="20dp"
        android:layout_marginRight="20dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <TextView
            android:id="@+id/tv_time"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="2024-07-21 21:06:23"
            android:textColor="@color/white"
            android:textSize="25sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_clientId"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/base_home_dev_id"
            android:textColor="@color/white"
            android:textSize="25sp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/tv_time" />
    </androidx.constraintlayout.widget.ConstraintLayout>


    <TextView
        android:id="@+id/tv_progress_describe"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_centerInParent="true"
        android:text="0%"
        android:textColor="@color/white"
        android:textSize="40sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="@+id/progressView"
        app:layout_constraintEnd_toEndOf="@+id/progressView"
        app:layout_constraintStart_toStartOf="@+id/progressView"
        app:layout_constraintTop_toTopOf="@+id/progressView" />


    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/home_guideline3"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        android:orientation="horizontal"
        app:layout_constraintGuide_percent="0.6212963"
        app:layout_constraintStart_toStartOf="parent" />


    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/home_guideline"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintGuide_percent="0.5" />

    <LinearLayout
        android:id="@+id/ll_userbottom"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:gravity="center"
        android:orientation="horizontal"
        android:layout_marginBottom="30dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@+id/home_guideline"
        app:layout_constraintStart_toStartOf="@+id/home_guideline">

        <RelativeLayout
            android:visibility="gone"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">

            <ImageView
                android:id="@+id/iv_wendu"
                android:layout_width="90dp"
                android:layout_height="90dp"
                android:src="@drawable/icon_qxwendu_new" />

            <LinearLayout
                android:id="@+id/ll_wendu"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_toRightOf="@id/iv_wendu">

                <TextView
                    android:id="@+id/tv_wendu"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="40°C"
                    android:textColor="#d4237a"
                    android:textSize="34sp" />

            </LinearLayout>

            <TextView
                android:id="@+id/tv_wendu_content"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/ll_wendu"
                android:layout_toRightOf="@id/iv_wendu"
                android:lines="2"
                android:text="柜外温度"
                android:textColor="#d4237a"
                android:textSize="24sp" />

        </RelativeLayout>

        <RelativeLayout
            android:visibility="gone"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">

            <ImageView
                android:id="@+id/iv_shidu"
                android:layout_width="90dp"
                android:layout_height="90dp"
                android:src="@drawable/icon_qxshidu_new" />

            <LinearLayout
                android:id="@+id/ll_shidu"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_toRightOf="@id/iv_shidu">

                <TextView
                    android:id="@+id/tv_shidu"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="40°C"
                    android:textColor="#d4237a"
                    android:textSize="34sp" />

            </LinearLayout>

            <TextView
                android:id="@+id/tv_shidu_content"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/ll_shidu"
                android:layout_toRightOf="@id/iv_shidu"
                android:lines="2"
                android:text="柜外湿度"
                android:textColor="#d4237a"
                android:textSize="24sp" />

        </RelativeLayout>

        <RelativeLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">

            <ImageView
                android:id="@+id/iv_lutou"
                android:layout_width="90dp"
                android:layout_height="90dp"
                android:src="@drawable/icon_qxlutou_new" />

            <TextView
                android:id="@+id/tv_lutou"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_toRightOf="@id/iv_lutou"
                android:text="40°C"
                android:textColor="#d4237a"
                android:textSize="34sp" />

            <TextView
                android:id="@+id/tv_lutou_content"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/tv_lutou"
                android:layout_toRightOf="@id/iv_lutou"
                android:lines="2"
                android:text="@string/base_burner_temperature"
                android:textColor="#d4237a"
                android:textSize="24sp" />

        </RelativeLayout>


        <RelativeLayout
            android:visibility="gone"
            android:id="@+id/rl_fashengqi"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">

            <ImageView
                android:id="@+id/iv_fashengqi"
                android:layout_width="90dp"
                android:layout_height="90dp"
                android:src="@drawable/icon_fsq_new" />

            <TextView
                android:id="@+id/tv_fashengqi"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_toRightOf="@id/iv_fashengqi"
                android:text="40°C"
                android:textColor="#d4237a"
                android:textSize="34sp" />

            <TextView
                android:id="@+id/tv_fashengqi_content"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/tv_fashengqi"
                android:layout_toRightOf="@id/iv_fashengqi"
                android:lines="2"
                android:text="蒸汽温度"
                android:textColor="#d4237a"
                android:textSize="24sp" />

        </RelativeLayout>


    </LinearLayout>

    <!-- 引入复用的布局 -->
    <include
        android:id="@+id/il_contact"
        layout="@layout/home_contact"
        android:layout_width="wrap_content"
        android:layout_marginBottom="30dp"
        android:layout_height="wrap_content"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"/>
</androidx.constraintlayout.widget.ConstraintLayout>